org.apache.hadoop.hdfs.server.namenode

## Class ContentCounts

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.ContentCounts

-     public class ContentCounts
      extends Object

  The counter to be computed for content types such as file, directory and symlink, and the storage type usage such as SSD, DISK, ARCHIVE.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContentCounts.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContent(Content c, long val)`
    `void` | `addContents(ContentCounts that)`
    `void` | `addTypeSpace(org.apache.hadoop.fs.StorageType t, long val)`
    `void` | `addTypeSpaces(EnumCounters<org.apache.hadoop.fs.StorageType> that)`
    `long` | `getDirectoryCount()`
    `long` | `getFileCount()`
    `long` | `getLength()`
    `long` | `getSnapshotableDirectoryCount()`
    `long` | `getSnapshotCount()`
    `long` | `getStoragespace()`
    `long` | `getSymlinkCount()`
    `long` | `getTypeSpace(org.apache.hadoop.fs.StorageType t)`
    `long[]` | `getTypeSpaces()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFileCount

          public long getFileCount()

    - #### getDirectoryCount

          public long getDirectoryCount()

    - #### getSymlinkCount

          public long getSymlinkCount()

    - #### getLength

          public long getLength()

    - #### getStoragespace

          public long getStoragespace()

    - #### getSnapshotCount

          public long getSnapshotCount()

    - #### getSnapshotableDirectoryCount

          public long getSnapshotableDirectoryCount()

    - #### getTypeSpaces

          public long[] getTypeSpaces()

    - #### getTypeSpace

          public long getTypeSpace(org.apache.hadoop.fs.StorageType t)

    - #### addContent

          public void addContent(Content c,
                                 long val)

    - #### addContents

          public void addContents(ContentCounts that)

    - #### addTypeSpace

          public void addTypeSpace(org.apache.hadoop.fs.StorageType t,
                                   long val)

    - #### addTypeSpaces

          public void addTypeSpaces(EnumCounters<org.apache.hadoop.fs.StorageType> that)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.